-- |
-- Module      : Data.ASN1.OID
-- License     : BSD-style
-- Maintainer  : Vincent Hanquez <vincent@snarc.org>
-- Stability   : experimental
-- Portability : unknown
--
{-# LANGUAGE DeriveDataTypeable #-}
module Data.ASN1.OID
    ( OID
    -- * class
    , ObjectIdable(..)
    ) where

-- | Standard ASN.1 Object ID (OID)
type OID = [Integer]

-- | Class of things that have an Object ID
class ObjectIdable a where
    -- | return the object ID of an Object from the ObjectIdentifiable class.
    getObjectID :: a -> OID
